Subject: Offline Message from rana: Hello, I requested a return from over 2 weeks ago
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 11 Jul 2020 09:29:40 -0000

From: rana <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://www.mumzworld.com/en/sales/order/view/order_id/1488081/
Department: 

Hello,

I requested a return from over 2 weeks ago and called twice to check up. Still nobody has contacted me regarding the return.

Could you please arrange the return or send me a shipment label and I will drop it off at the shipping company.
Your slow procedures are making it difficult for everyone honestly.
Order #100150214 -Pure Elements - Aloe & Rose Water Natural Wipes 2 x 768 Wipes.

----
Zopim
https://www.zopim.com